OGRE-Next: Ogre::v1::GLES2HardwareVertexBuffer Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::v1::GLES2HardwareVertexBuffer Class Reference

Specialisation of HardwareVertexBuffer for OpenGL ES. More...

`#include <OgreGLES2HardwareVertexBuffer.h>`

Inheritance diagram for Ogre::v1::GLES2HardwareVertexBuffer:
[legend]

## Public Member Functions
| GLES2HardwareVertexBuffer (HardwareBufferManagerBase *mgr, size_t vertexSize, size_t numVertices, HardwareBuffer::Usage usage, bool useShadowBuffer)
virtual | ~GLES2HardwareVertexBuffer ()
void | _updateFromShadow ()
| See HardwareBuffer.
void | copyData (HardwareBuffer &srcBuffer, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer=false)
| See HardwareBuffer.
GLuint | getGLBufferId () const
void | readData (size_t offset, size_t length, void *pDest)
| See HardwareBuffer.
void | writeData (size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)
| See HardwareBuffer.

## Detailed Description

Specialisation of HardwareVertexBuffer for OpenGL ES.

## Constructor & Destructor Documentation

## ◆ GLES2HardwareVertexBuffer()

Ogre::v1::GLES2HardwareVertexBuffer::GLES2HardwareVertexBuffer | ( | HardwareBufferManagerBase * | mgr,
|  | size_t | vertexSize,
|  | size_t | numVertices,
|  | HardwareBuffer::Usage | usage,
|  | bool | useShadowBuffer )

## ◆ ~GLES2HardwareVertexBuffer()

virtual Ogre::v1::GLES2HardwareVertexBuffer::~GLES2HardwareVertexBuffer | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _updateFromShadow()

void Ogre::v1::GLES2HardwareVertexBuffer::_updateFromShadow | ( |  | ) |

See HardwareBuffer.

## ◆ copyData()

void Ogre::v1::GLES2HardwareVertexBuffer::copyData | ( | HardwareBuffer & | srcBuffer,
|  | size_t | srcOffset,
|  | size_t | dstOffset,
|  | size_t | length,
|  | bool | discardWholeBuffer = false )

See HardwareBuffer.

## ◆ getGLBufferId()

GLuint Ogre::v1::GLES2HardwareVertexBuffer::getGLBufferId | ( |  | ) | const
| inline

## ◆ readData()

void Ogre::v1::GLES2HardwareVertexBuffer::readData | ( | size_t | offset,
|  | size_t | length,
|  | void * | pDest )

See HardwareBuffer.

## ◆ writeData()

void Ogre::v1::GLES2HardwareVertexBuffer::writeData | ( | size_t | offset,
|  | size_t | length,
|  | const void * | pSource,
|  | bool | discardWholeBuffer = false )

See HardwareBuffer.

The documentation for this class was generated from the following file:

- OgreGLES2HardwareVertexBuffer.h